import { ComponentFixture, TestBed } from '@angular/core/testing';
import { provideHttpClientTesting } from '@angular/common/http/testing';
import { provideHttpClient } from '@angular/common/http';
import { MatDialogModule } from '@angular/material/dialog';
import { MatTableModule } from '@angular/material/table';
import { ToastrModule } from 'ngx-toastr';
import { DatePipe } from '@angular/common';
import { PxeComponent } from './pxe.component';
import { DataService } from './data.service';
import { MatAccordion } from '@angular/material/expansion';
import { MatExpansionPanel, MatExpansionPanelHeader, MatExpansionPanelTitle, MatExpansionPanelDescription } from '@angular/material/expansion';
import { MatIcon } from '@angular/material/icon';
import { MatDivider } from '@angular/material/divider';
import { MatFormField } from '@angular/material/form-field';
import { MatLabel } from '@angular/material/form-field';
import { MatHint } from '@angular/material/form-field';
import { MatSelect } from '@angular/material/select';
import { MatOption } from '@angular/material/select';
import { MatPaginator } from '@angular/material/paginator';
import {BrowserAnimationsModule} from '@angular/platform-browser/animations';
import { FormsModule } from '@angular/forms';
import { MatInputModule } from '@angular/material/input';
import { MatSelectModule } from '@angular/material/select';
describe('PxeComponent', () => {
  let component: PxeComponent;
  let fixture: ComponentFixture<PxeComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [PxeComponent],
      imports: [
        FormsModule,
        MatInputModule,
        MatSelectModule,
        BrowserAnimationsModule,
        MatDialogModule,
        MatTableModule,
        MatAccordion, MatExpansionPanel, MatExpansionPanelHeader, MatExpansionPanelTitle,  
        MatExpansionPanelDescription,
        MatIcon,
        MatDivider,
        MatFormField,
        MatLabel,
        MatHint,
        MatSelect,
        MatOption,
        MatPaginator,
        ToastrModule.forRoot()
      ],
      providers: [
        DatePipe,
        DataService,
        provideHttpClient(),           
        provideHttpClientTesting()       
      ]
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(PxeComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create the component', () => {
    expect(component).toBeTruthy();
  });
});
