import {Component, Inject} from '@angular/core';
import {MAT_DIALOG_DATA} from "@angular/material/dialog";
import {HttpClient} from "@angular/common/http";

@Component({
  selector: 'app-show-template-content',
  templateUrl: './show-template-content.component.html',
  styleUrl: './show-template-content.component.css'
})
export class ShowTemplateContentComponent {
  baseUrl: string = import.meta.env.NG_APP_BASE_API_URL;
  displayedColumns: string[] = ['property', 'value'];
  generalData: any[] = [];
  constructor(
    @Inject(MAT_DIALOG_DATA) public data: any,
    private http: HttpClient
  ) {
  }
}
